summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorPier Luigi Fiorini2018-12-24 13:55:17 +0100
committerPier Luigi Fiorini2018-12-24 13:55:17 +0100
commit064023dc1642c40d090f3fa00afb79e411297b34 (patch)
tree1de109221a701b58487f5d6a71f57b47fa9ef109
parent08511373b3faaa349386f439af102dfb57b91241 (diff)
downloadaur-064023dc1642c40d090f3fa00afb79e411297b34.tar.gz
Update versioning
-rw-r--r--.SRCINFO4
-rw-r--r--PKGBUILD7
2 files changed, 7 insertions, 4 deletions
diff --git a/.SRCINFO b/.SRCINFO
index bf6ac9746b3..843f990dc30 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,8 +1,8 @@
# Generated by mksrcinfo v8
-# Mon Dec 24 12:44:26 UTC 2018
+# Mon Dec 24 12:55:16 UTC 2018
pkgbase = qt5-accountsservice-git
pkgdesc = Qt-style wrapper for Accounts Service
- pkgver = 20181130.292.a925678
+ pkgver = v1.2.0.r14.ga925678
pkgrel = 1
url = https://liri.io
arch = i686
diff --git a/PKGBUILD b/PKGBUILD
index 185407d21d2..f0920ad8008 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
# Maintainer: Pier Luigi Fiorini <pierluigi.fiorini@gmail.com>
pkgname=qt5-accountsservice-git
-pkgver=20181130.292.a925678
+pkgver=v1.2.0.r14.ga925678
pkgrel=1
pkgdesc="Qt-style wrapper for Accounts Service"
arch=('i686' 'x86_64' 'armv6h' 'armv7h')
@@ -22,7 +22,10 @@ md5sums=('SKIP')
pkgver() {
cd ${srcdir}/${_gitname}
- echo "$(git log -1 --format="%cd" --date=short | tr -d '-').$(git rev-list --count HEAD).$(git log -1 --format="%h")"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
}
prepare() {